window.onload = function () {
	var style = document.createElement('style');
	var random=Math.round(Math.random());
	var styleContent = document.createTextNode(`
    .year {
      position: relative;
      height: 0;
      background: url(blessing_`+random+`.jpg) no-repeat center;
    }

    .close {
      position: absolute;
      left: 50%;
      bottom: 0;
      width: 200px;
      height: 40px;
      margin-left: -100px;
      line-height: 40px;
      text-align: center;
      color: #fff;
      background: rgba(0,103,237,.8);
      cursor: pointer;
      transition: all 0.3s;
    }

    .close:hover {
      background: #0067ed;
    }
  `);
	style.appendChild(styleContent);

	var close = document.createElement('div');
	var closeContent = document.createTextNode('关闭通知');
	close.appendChild(closeContent);

	var year = document.createElement('div');
	year.appendChild(close);

	year.className = 'year';
	close.className = 'close';

	document.body.prepend(year);
	document.body.prepend(style);

	move(year, 'height', 450, 50);

	close.addEventListener('click', function () {
		move(year, 'height', 0, 50, function () {
			year.style.display = 'none';
		});
	})
}

function getStyle(obj, name) {
	if (window.getComputedStyle) {
		return getComputedStyle(obj, null)[name];
	} else {
		return obj.currentStyle[name];
	}
}

function move(obj, attr, target, speed, callback) {
	if (parseInt(getStyle(obj, attr)) > target) speed = -speed;
	clearInterval(obj.timer);
	obj.timer = setInterval(function () {
		position = parseInt(getStyle(obj, attr)) + speed;
		if ((speed > 0 && position > target) || (speed < 0 && position < target)) position = target;
		obj.style[attr] = position + 'px';
		if (position === target) {
			clearInterval(obj.timer);
			callback && callback();
		}
	}, 30);
}